Bug 1287886 - [Docs] [NG] Need doc update to clarify things for FWaas set up
[Docs] [NG] Need doc update to clarify things for FWaas set up
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: async
: 7.0 (Kilo)
Assigned To: Martin Lopes
RHOS Documentation Team
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 17:49 EST by Jeremy
Modified: 2016-08-30 23:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-30 23:20:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy 2015-12-02 17:49:19 EST
https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/version-7/networking-guide/#sec-fwaas

The following line added to /etc/neutron/neutron.conf causes neutron-server to not be able to start.
service_plugins = neutron.services.firewall.fwaas_plugin.FirewallPlugin

The docs do not say that openstack-neutron-fwaas & python-neutron-fwaas packages are needed to provide this module.

Also the docs should say that a restart of neutron-server is required for the config changes to take place.
Comment 2 Assaf Muller 2016-06-03 21:31:32 EDT
@Martin, can I ask you or someone else from the doc team to handle this? The changes asked for by Jeremy are technically accurate.
Comment 4 Martin Lopes 2016-06-17 00:55:17 EDT
Guide has been republished to include the updates:

https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/version-7/networking-guide/#enable_fwaas
Comment 6 Andrew Dahms 2016-08-30 23:20:41 EDT
This content is live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.